glab(1)

NAME
glab-container-registry-repository-list - List container registry repositories.

SYNOPSIS
glab container-registry repository list [flags]

DESCRIPTION
By default, repositories are listed for the current project. Use --repo to target another project, or --group to list repositories for a group.

OPTIONS
-g, --group=""
    List container registry repositories for a group.

--include-tag-details[=false]
    Fetch digest, size, and creation time for included tags. Makes one API call per tag. Project JSON output only. Implies --include-tags.

--include-tags[=false]
    Include tags in the response. Project repositories only.

--include-tags-count[=true]
    Include the number of tags in the response. Project repositories only.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # List container registry repositories for the current project
    glab container-registry repository list
    # List container registry repositories for another project
    glab container-registry repository list -R gitlab-org/cli
    # List container registry repositories for a group
    glab container-registry repository list --group gitlab-org

SEE ALSO
glab-container-registry-repository(1)